# PORTL

**Plain Old Ruby Template Language**

This is a templating language for Rails that uses plain Ruby.

```ruby
raw '<!doctype html>'
html do
  head do
    title 'PORTL Example'
    meta charset: 'utf-8'
  end
  body do
    div id: 'main' do
      h1 'Hello world!'
    end
  end
end
```

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'portl'
```

Then run `bundle` to install.

## Usage

Create a template in your project with the `.rb` extension. For example,
`application.html.rb`.

The syntax for the HTML tags are the same as the `content_tag` view helper.
Most HTML5 tags should be supported. For those that aren't, just use
`content_tag` directly.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run
`rake test` to run the tests. You can also run `bin/console` for an interactive
prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`.

## Contributing

Bug reports and pull requests are welcome on GitHub at
[https://github.com/hi5dev/portl](https://github.com/hi5dev/portl).

## License

The gem is available as open source under the terms of the
[MIT License](http://opensource.org/licenses/MIT).
